<?php
require ("includes/comunes.php");

$seccion = "add_asociado";

if ($idioma==1) {
$titulo = "Acceso a Usuarios Registrados";
$meta_titulo = "Acceso a Usuarios Registrados";
$meta_desc = "";
$meta_key = "";
}
elseif ($idioma==2) {
	$titulo = "Employment - Jobs LimousineCC";
$meta_titulo = "Employment - Jobs LimousineCC";
$meta_desc = "By filling in the following form enter the labour exchange of LimousineCC. If you want to work as a conductor, administrative, commercial, accounting or lavacoches send us your resume.";
$meta_key = "Limousine driver, a driver luxury car driver, pilot cars, working as a driver, carrying car carrying vehicle, driving, driver of limousines";
}

elseif ($idioma==3) {
	$titulo = "Bourse de travail";
$meta_titulo = "Bourse de travail";
$meta_desc = "Rellenando el siguiente formulario entrará en la bolsa de trabajo de LimousineCC. Si desea trabajar como conductor, administrativo, comercial, contable o lavacoches envienos su curriculum.";
$meta_key = "";
}

if (isset($_GET['year_url'])) {$year_url = $_GET['year_url'];} else {$year_url = date('Y');}



PonCabecera($seccion,$titulo,$meta_titulo,$meta_desc,$meta_key);

Pon_Submenu_Comercial('add_asociado');


	// *************************** MENU LATERAL **********************


echo "<div id=\"contenido_web\">";

//creamos 2 cajas

//echo $_SESSION['comi'];
//echo $_SESSION['comi'].'<br>'.$_SESSION['chofer'].'<br>'.$_SESSION['cliente'];

echo '<div id="div_presup_1">';


if ($_GET['accion']=="") {

	if($_POST['nombre_cliente']){
	
	
		//sacamos sus datos y lo guardamos en potencial, sacamos su NUMERO
		$num_comi = $_POST['num_comi'];		
		$nombre_cliente = $_POST['nombre_cliente'];			
		$email = $_POST['email'];
		$email = eregi_replace("@","#",$email);
		$tlf = $_POST['tlf'];
		$tlf_movil = $_POST['tlf_movil'];
		$fax = $_POST['fax'];
		$direccion = $_POST['direccion'];
		$dir_num = $_POST['dir_num'];
		$web = $_POST['web'];
		$nif = $_POST['dni'];
		$codigo_postal = $_POST['codigo_postal'];
		$poblacion = $_POST['poblacion'];
		$provincia = $_POST['provincia'];
		$provincia_2 = substr($codigo_postal,0,2);
		$user = $_POST['user'];
		$pass = $_POST['pass'];
		
		
		
		$ex_sql = "select * from COMISIO where NUM_COMI = '$num_comi' ";
		$results=odbc_exec($cid,$ex_sql)or die(exit("Error en odbc_exec"));
		$ultmodi = date('YmdH:i');
		
		$existe = false;
		while($fila = odbc_fetch_array($results)){
			$existe = true;
		}
		
		if(!$existe){
			$rsql="Select max(NUM_COMI) from COMISIO WHERE NUM_COMI like '%".substr($_SESSION['comi'],0,4)."%' ";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));			
			$num_comi = odbc_result($results,1) + 1;			
			//$registro = ComprobarRegistro('POTENCIALES',$num_potencial);			
			$num_comi = str_repeat('0',7-strlen($num_comi)).$num_comi;			
			$fecha_pre1 = date('Y-m-d');
			
		
			$rsql2="Select max(NUMERO) from POTENCIALES WHERE NUMERO like '00%'";
			$results=odbc_exec($cid,$rsql2)or die(exit("Error en odbc_exec"));			
			$num_potencial = odbc_result($results,1) + 1;			
			//$registro = ComprobarRegistro('POTENCIALES',$num_potencial);			
			$num_potencial = str_repeat('0',7-strlen($num_potencial)).$num_potencial;			
			
			
			$tsql =  "INSERT INTO COMISIO (NUM_COMI, NOMBRE, NIF, DIRECCION, POBLACION, PROVINCIA, CP, TELEFONO, FAX, EMAIL, WEB, MOVIL,ALTA_COMI) 
			
			VALUES (
			'$num_comi',
			'".strtoupper($nombre_cliente)."',
			'$nif',
			'".strtoupper($direccion)." ".$dir_num."',
			'".strtoupper($poblacion)."',
			'$provincia_2',
			'$codigo_postal',
			'+34 ".$tlf."',
			'+34 ".$fax."',			
			'".$email."',
			'$web',
			'+34 ".$tlf_movil."',
			'$fecha_pre1'
			); ";
			
			$tsql2 =  "INSERT INTO POTENCIALES (NUMERO, NOMBRE, DIRECCION, DIR_NUM, CP, POBLACION, PROVINCIA,NIF, TELEFONO, FAX, EMAIL, WEB, MOVIL,ALTA, COMICLAVE, COMI, USUARIO_WEB, CONTRASE_WEB) 
			
			VALUES (
			'$num_potencial',
			'".strtoupper($nombre_cliente)."',			
			'".strtoupper($direccion)."',
			'$dir_num',
			'$codigo_postal',
			'".strtoupper($poblacion)."',
			'$provincia_2',
			'$nif',			
			'+34 ".$tlf."',
			'+34 ".$fax."',			
			'".$email."',
			'$web',
			'+34 ".$tlf_movil."',
			'$fecha_pre1',
			'".$_SESSION['comi']."',
			'$num_comi',
			'$user',
			'$pass'
			)";
			
			
			}
			
			
			
			else{
			echo 'existe';
			
			$tsql =  "UPDATE COMISIO 
			SET 
			NOMBRE = '".strtoupper($nombre_cliente)."',
			DIRECCION = '".strtoupper($direccion)."',
			CP = '$codigo_postal',
			POBLACION = '".strtoupper($poblacion)."',
			PROVINCIA='$provincia_2',
			TELEFONO = '+34 ".$tlf."',
			MOVIL='+34 ".$tlf_movil."',
			FAX='+34 ".$fax."',
			EMAIL='$email',
			WEB='$web'			
			WHERE  
			NUM_COMI='$num_comi'
			
			";
			
			$tsql2 =  "UPDATE POTENCIALES 
			SET 
			NOMBRE = '".strtoupper($nombre_cliente)."',
			DIRECCION = '".strtoupper($direccion)."',
			CP = '$codigo_postal',
			POBLACION = '".strtoupper($poblacion)."',
			PROVINCIA='$provincia_2',
			TELEFONO = '+34 ".$tlf."',
			MOVIL='+34 ".$tlf_movil."',
			FAX='+34 ".$fax."',
			EMAIL='$email',
			WEB='$web'			
			WHERE  
			COMI='$num_comi'
			
			";
			}
			
$results=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));
$results=odbc_exec($cid,$tsql2)or die(exit("Error en odbc_exec"));

		
	}
echo '<p class="c3 t6 negrita">Comercios Asociados</p>';
echo '<p class="c3 t6 negrita">&nbsp;</p>';


echo '<p class="t4 negrita"><a href="add_asociado.php?accion=add" class="a_c3"><img src="images/ico_anadir.gif" alt="Añadir Asociado" style="vertical-align: bottom;" /> Añadir Asociado</a></p>';

echo '<p class="c3 t6 negrita">&nbsp;</p>';

echo '<table id="tabla_clientes" width="99%" align="center" cellpadding="3" cellspacing="0">';
echo '<tr>';
echo '<th>Número</th>';
echo '<th>Nombre y Apellidos</th>';
echo '<th>E-mail</th>';
echo '<th>Fecha Alta</th>';
echo '<th>Ver Ficha</th>';

//echo '<th>Eliminar</th>';
echo '</tr>';
$num_comisio = substr($_SESSION['comi'],0,4);
$tipo = substr($_SESSION['comi'],4,7);
$sql="Select * from COMISIO WHERE NUM_COMI like '%".$num_comisio."%' order by NUM_COMI DESC ";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$fondo = 0;
while ($row = odbc_fetch_array($result)) {
	if($_SESSION['comi'] != $row['NUM_COMI']){
	if ($fondo%2==0) {$fondo_celda = 'par';} else {$fondo_celda = 'impar';}
	
	echo '<tr class="'.$fondo_celda.'">';
	echo '<td>'.$row['NUM_COMI'].'</td>';
	echo '<td>'.$row['NOMBRE'].'</td>';
	$email = eregi_replace("#","@",$row['EMAIL']);
	echo '<td>'.$email.'</td>';
	echo '<td>'.$row['ALTA_COMI'].'</td>';
	echo '<td class="centro" align="center" valign="middle" style="border-right: 1px solid #999;"><a href="add_asociado.php?accion=mod&num='.$row['NUM_COMI'].'"><img src="images/ico_modificar.gif" alt="Ver ficha" style="vertical-align: middle;" /></a></td>';
	/*echo '<td class="centro" align="center" valign="middle" style="border-right: 1px solid #999;"><a href=""><img src="images/ico_eliminar.gif" alt="Eliminar" style="vertical-align: middle;" /></a></td>';*/
	echo '</tr>';
	
	++$fondo;
	}
}
echo '</table>';
}
elseif ($_GET['accion']=="add") {
	
	echo '<p class="c3 t6 negrita">Añadir Asociado</p>';
	

	
	
	echo '<form id="form_presupuesto" name="form_presupuesto" method="post" action="'.$_SERVER['PHP_SELF'].'" >';
	
	echo '<div id="datos_cliente">';
	
	
	
echo '<p>&nbsp;</p>';
echo '<div id="campo_cliente"><p><label>Nombre:</label><input type="text" name="nombre_cli" class="required" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Asociados(document.form_presupuesto.nombre_cli.value);" /></p>';
echo '<p>&nbsp;</p>';
echo '</div>'; //campo cliente

echo '</form>';
	
	
	echo "<div id=\"muestra_lista\" style=\"clear: both;\"></div>";
	echo '<form id="form_presup" name="form_presup" method="post" action="'.$_SERVER['PHP_SELF'].' " style="visibility:hidden;height:30px;overflow:hidden">';
	
	/*echo '<div id="datos_cliente">';
echo '<p>&nbsp;</p>';
echo '<div id="campo_cliente"><p><label>Nombre:</label><input type="text" name="nombre_cliente" class="required" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Asociados(document.form_presup.nombre_cliente.value);" /></p>';
echo '<p>&nbsp;</p>';
echo '</div>'; //campo cliente*/



//////////////////////////////////////////////////////////////////////////////7
echo '<input type="hidden" name="nombre_cliente" class="required" style="width: 300px;"  />';

echo  '<p style="border-top: 1px solid #ccc;color: red;" class="izquierda negrita">No hay ningún Asociado con ese nombre, complete el formulario para añadir el asociado.</p>';	
	
	echo  '<p>&nbsp;</p>';
	echo  '<p><label id="label_dni" >&nbsp;NIF:</label><input type="text" class="required" name="dni"  style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';
	echo  '<p><label>&nbsp;Dirección:</label><input type="text" class="required" name="direccion" style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';
	echo  '<p><label>&nbsp;Número:</label><input type="text" class="required" name="dir_num" style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';	
	echo  '<p><label>&nbsp;Código Postal:</label><input type="text" class="required" name="codigo_postal" onkeyup="xajax_Pon_Poblacion_Provincia(form_presup.codigo_postal.value)" style="width: 300px;" /></p>';

	echo  '<div id="pobla_prov"></div>';
	echo  '<p>&nbsp;</p>';
	echo  '<p><label>&nbsp;Teléfono:</label><input type="text" class="" name="tlf" style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';
	echo  '<p><label>&nbsp;Móvil:</label><input type="text" class="required" name="tlf_movil" style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';
	echo  '<p><label>&nbsp;Fax:</label><input type="text" class="" name="fax" style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';
	
	echo  '<p><label>&nbsp;Correo electrónico:</label><input type="text" class="required email" name="email" style="width: 300px;" /></p>';
	echo  '<p>&nbsp;</p>';
	echo  '<p><label>&nbsp;Página web:</label><input type="text" class="" name="web" style="width: 300px;" /></p>';
	
		echo  '<p>&nbsp;</p>';
		echo  '<p><label>&nbsp;Usuario:</label><input type="text" class="required" name="user" style="width: 300px;" /></p>';
		echo  '<p>&nbsp;</p>';
		echo  '<p><label>&nbsp;Contraseña:</label><input type="text" class="required" name="pass" style="width: 300px;" /></p>';
	

	
		echo  '<p>&nbsp;</p>';
	
	echo  '<p style="clear: both;"><label>&nbsp;</label><input   type="submit" name="solicitar" value="Guardar >>" style="padding: 8px;font-weight: bold;" /></p>';


///////////////////////////////////////////////////////////////////////////////77

echo '</div>'; //fin datos_cliente
	
	
	
	
	
	echo '</form>';	
	?>
<script type="text/javascript">
				
			window.addEvent('load', function(){
				var myFormValidation3 = new Validate('form_presup',{
					errorClass: 'red'
				});
			});
			</script>
<?
}
elseif($_GET['accion']=='mod'){
echo '<p class="c3 t6 negrita">Ficha Asociado</p>';
	
	$mod_sql = "SELECT * FROM COMISIO WHERE NUM_COMI = '".$_GET['num']."' ";
	$result=odbc_exec($cid,$mod_sql)or die(exit("Error en odbc_exec"));
	while($fila = odbc_fetch_array($result)){
	echo '<form id="form_presup" name="form_presup" method="post" action="'.$_SERVER['PHP_SELF'].'">';
	echo '<input type="hidden" name="num_comi" value ="'.$fila['NUM_COMI'].'" />';

echo '<p>&nbsp;</p>';
echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Nombre:</span> '.$fila['NOMBRE'].' </p>';
echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Dirección:</span> '.$fila['DIRECCION'].'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Código Postal:</span> '.$fila['CP'].'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Población:</span> '.$fila['POBLACION'].'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Provincia:</span> '.dame_provincia($fila['PROVINCIA']).'</p>';
	echo '<p>&nbsp;</p>';
		echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Teléfono:</span>'.$fila['TELEFONO'].'</p>';
		echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"> <span style="font-weight:normal">&nbsp;Teléfono Móvil:</span>'.$fila['MOVIL'].'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Fax:</span>'.$fila['FAX'].'</p>';
	echo '<p>&nbsp;</p>';	
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Correo electrónico:</span>'.eregi_replace('#','@',$fila['EMAIL']).'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Teléfono Móvil:</span>'.$fila['WEB'].'</p>';
	
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;D.N.I.:</span>'.$fila['NIF'].'</p>';
	echo '<p>&nbsp;</p>';
	
		
	
	
	echo '</form>';	
	}
}
echo '</div>'; //fin div_presup_1


echo '<div id="div_presup_2">';

echo '<div id="condicion_servicio"></div>';



echo '</div>'; //fin div_presup_2






echo "</div>";//fin contenido_web





	// *************************** MENU LATERAL **********************




PonPie();

//mysql_close();

?>